<?
define('PROTECTOR', 1);

$head = 'rating';//фикс. места

$textl='Достижения';
@include('files/db.php');
@include('files/auth.php');
@include('files/func.php');
@include('files/core.php');
@include('files/head.php');
@include('files/zag.php');
$time=time();
$req = mysql_query("SELECT * FROM `dost` WHERE `usr` = '$log'");
$avto=mysql_num_rows($req);
$dost=mysql_fetch_array($req);
if($dost[glad]==0){$glad=100;$gladmon=200;$gladop=500;}
if($dost[glad]==1){$glad=500;$gladmon=800;$gladop=3000;}
if($dost[glad]==2){$glad=1000;$gladmon=1400;$gladop=5000;}
if($dost[glad]==3){$glad=1500;$gladmon=2000;$gladop=8000;}
if($dost[glad]==4){$glad=2200;$gladmon=3000;$gladop=12000;}
if($dost[glad]==5){$glad=2900;$gladmon=4200;$gladop=17000;}


if($dost[shah]==0){$shah=5;$shahmon=150;$shahop=500;}
if($dost[shah]==1){$shah=10;$shahmon=500;$shahop=1500;}
if($dost[shah]==2){$shah=15;$shahmon=800;$shahop=3000;}
if($dost[shah]==3){$shah=20;$shahmon=1000;$shahop=5000;}

if($dost[ohot]==0){$ohot=100;$ohotmon=100;$ohotop=200;}
if($dost[ohot]==1){$ohot=500;$ohotmon=300;$ohotop=1000;}
if($dost[ohot]==2){$ohot=1500;$ohotmon=500;$ohotop=3000;}
if($dost[ohot]==3){$ohot=5000;$ohotmon=800;$ohotop=7000;}
if($dost[ohot]==4){$ohot=8000;$ohotmon=1500;$ohotop=15000;}
if($dost[ohot]==5){$ohot=11000;$ohotmon=2000;$ohotop=25000;}
if($dost[ohot]==6){$ohot=15000;$ohotmon=3000;$ohotop=35000;}
if($dost[ohot]==7){$ohot=20000;$ohotmon=4000;$ohotop=45000;}
if($dost[ohot]==8){$ohot=25000;$ohotmon=5000;$ohotop=60000;}
if($dost[ohot]==9){$ohot=30000;$ohotmon=6000;$ohotop=80000;}
if($dost[ohot]==10){$ohot=38000;$ohotmon=7000;$ohotop=105000;}
if($dost[ohot]==11){$ohot=47000;$ohotmon=8000;$ohotop=125000;}
if($dost[ohot]==11){$ohot=57000;$ohotmon=9000;$ohotop=150000;}
if($dost[ohot]==11){$ohot=70000;$ohotmon=10000;$ohotop=175000;}


if($dost[rud]==0){$rud=100;$rudmon=100;$rudop=300;}
if($dost[rud]==1){$rud=500;$rudmon=300;$rudop=700;}
if($dost[rud]==2){$rud=1000;$rudmon=500;$rudop=1300;}
if($dost[rud]==3){$rud=1500;$rudmon=1000;$rudop=5000;}
if($dost[rud]==4){$rud=2000;$rudmon=1300;$rudop=8000;}
if($dost[rud]==5){$rud=3000;$rudmon=1600;$rudop=10000;}

if($dost[dob]==0){$dob=10;$dobmon=100;$dobop=500;}
if($dost[dob]==1){$dob=15;$dobmon=300;$dobop=1000;}
if($dost[dob]==2){$dob=20;$dobmon=500;$dobop=1700;}
if($dost[dob]==3){$dob=25;$dobmon=800;$dobop=2500;}
if($dost[dob]==4){$dob=30;$dobmon=1000;$dobop=3500;}

switch($_GET[mod]){
default:
if($avto==0){mysql_query("INSERT INTO `dost` SET `usr` = '$log'");}

echo"<font color='#ffdc5a'>Достижения</font>$div";
if($dost[glad]>5){echo"<font color='#ffc22b'>Гладиатор</font> <img src='pic/yes.png' alt='*'/>$div";}else{
echo"<font color='#ffc22b'>Гладиатор:</font> одержи $glad побед на арене</br>
<img src='pic/mp.png' alt='*'/> <font color='#71cc71'>Прогресс:</font> $udata[arenawins] из $glad</br>
<img src='pic/bazar.gif' alt='*'/> <font color='#71cc71'>Награда:</font> $gladmon монет, $gladop опыта";
if($udata[arenawins]>=$glad){
echo '<form action="dost.php?mod=glad" method="post">';
echo '<input class="button" type="submit" value="Получить награду!" /></form>';}echo"$div";}

if($dost[shah]>3){echo"<font color='#ffc22b'>Шахтёр</font> <img src='pic/yes.png' alt='*'/>$div";}else{
echo"<font color='#ffc22b'>Шахтер:</font> поработай наемником $shah раз</br>
<img src='pic/mp.png' alt='*'/> <font color='#71cc71'>Прогресс:</font> $dost[proshah] из $shah</br>
<img src='pic/bazar.gif' alt='*'/> <font color='#71cc71'>Награда:</font> $shahmon монет, $shahop опыта";
if($dost[proshah]>=$shah){
echo '<form action="dost.php?mod=shah" method="post">';
echo '<input class="button" type="submit" value="Получить награду!" /></form>';}echo"$div";}

if($dost[ohot]>11){echo"<font color='#ffc22b'>Охотник</font> <img src='pic/yes.png' alt='*'/>$div";}else{
echo"<font color='#ffc22b'>Охотник:</font> одержи победу над $ohot монстрами</br>
<img src='pic/mp.png' alt='*'/> <font color='#71cc71'>Прогресс:</font> $udata[wins] из $ohot</br>
<img src='pic/bazar.gif' alt='*'/> <font color='#71cc71'>Награда:</font> $ohotmon монет, $ohotop опыта";
if($udata[wins]>=$ohot){
echo '<form action="dost.php?mod=ohot" method="post">';
echo '<input class="button" type="submit" value="Получить награду!" /></form>';}echo"$div";}

if($dost[rud]>5){echo"<font color='#ffc22b'>Рудокоп</font> <img src='pic/yes.png' alt='*'/>$div";}else{
echo"<font color='#ffc22b'>Рудокоп:</font> сделай $rud ударов на руднике</br>
<img src='pic/mp.png' alt='*'/> <font color='#71cc71'>Прогресс:</font> $dost[prorud] из $rud</br>
<img src='pic/bazar.gif' alt='*'/> <font color='#71cc71'>Награда:</font> $rudmon монет, $rudop опыта";
if($dost[prorud]>=$rud){
echo '<form action="dost.php?mod=rud" method="post">';
echo '<input class="button" type="submit" value="Получить награду!" /></form>';}echo"$div";}

if($dost[dob]>4){echo"<font color='#ffc22b'>Титан</font> <img src='pic/yes.png' alt='*'/>$div";}else{
echo"<font color='#ffc22b'>Титан:</font> захвати $dob башень</br>
<img src='pic/mp.png' alt='*'/> <font color='#71cc71'>Прогресс:</font> $dost[prodob] из $dob</br>
<img src='pic/bazar.gif' alt='*'/> <font color='#71cc71'>Награда:</font> $dobmon монет, $dobop опыта";
if($dost[prodob]>=$dob){
echo '<form action="dost.php?mod=dob" method="post">';
echo '<input class="button" type="submit" value="Получить награду!" /></form>';}}
break;

case 'tabl':
if($avto==0){
mysql_query("INSERT INTO `dost` SET `usr` = '$log'");
echo"<img src='pic/yes.png' alt='*'/> Таблица создана , теперь вы можете получать достижения!</br><a href=\"dost.php?\">Назад</a>";}else{echo"<img src='pic/no.png' alt='*'/> У вас уже есть запись в таблице достижений!</br><a href=\"dost.php?\">Назад</a>";}
break;

case 'glad':
if(empty($glad)){echo"<img src='pic/no.png' alt='*'/> У вас максимальный уровень!</br><a href=\"dost.php?\">Назад</a>";break;}
if($avto==0){echo"<img src='pic/no.png' alt='*'/> У вас не создана учетная запись!</br><a href=\"dost.php?\">Назад</a>";break;}
if($udata[arenawins]>=$glad){
mysql_query("UPDATE `dost` SET `glad` = '$dost[glad]'+'1' WHERE `usr` = '$log'");
mysql_query("UPDATE `users` SET `money` = '$udata[money]'+'$gladmon', `exp`='$udata[exp]'+'$gladop' WHERE `usr` = '$log'");
echo"<img src='pic/yes.png' alt='*'/> Вы получили <font color='#71cc71'>+$gladmon</font> монет 
<font color='#71cc71'>+$gladop</font> опыта!
</br><a href=\"dost.php?\">Назад</a>";
}else{echo"<img src='pic/no.png' alt='*'/> У вас не хватает достижений!</br><a href=\"dost.php?\">Назад</a>";}
break;

case 'shah':
if(empty($shah)){echo"<img src='pic/no.png' alt='*'/> У вас максимальный уровень!</br><a href=\"dost.php?\">Назад</a>";break;}
if($avto==0){echo"<img src='pic/no.png' alt='*'/> У вас не создана учетная запись!</br><a href=\"dost.php?\">Назад</a>";break;}
if($dost[proshah]>=$shah){
mysql_query("UPDATE `dost` SET `shah` = '$dost[shah]'+'1' WHERE `usr` = '$log'");
mysql_query("UPDATE `users` SET `money` = '$udata[money]'+'$shahmon', `exp`='$udata[exp]'+'$shahop' WHERE `usr` = '$log'");
echo"<img src='pic/yes.png' alt='*'/> Вы получили <font color='#71cc71'>+$shahmon</font> монет 
<font color='#71cc71'>+$shahop</font> опыта!
</br><a href=\"dost.php?\">Назад</a>";
}else{echo"<img src='pic/no.png' alt='*'/> У вас не хватает достижений!</br><a href=\"dost.php?\">Назад</a>";}
break;

case 'ohot':
if(empty($ohot)){echo"<img src='pic/no.png' alt='*'/> У вас максимальный уровень!</br><a href=\"dost.php?\">Назад</a>";break;}
if($avto==0){echo"<img src='pic/no.png' alt='*'/> У вас не создана учетная запись!</br><a href=\"dost.php?\">Назад</a>";break;}
if($udata[wins]>=$ohot){
mysql_query("UPDATE `dost` SET `ohot` = '$dost[ohot]'+'1' WHERE `usr` = '$log'");
mysql_query("UPDATE `users` SET `money` = '$udata[money]'+'$ohotmon', `exp`='$udata[exp]'+'$ohotop' WHERE `usr` = '$log'");
echo"<img src='pic/yes.png' alt='*'/> Вы получили <font color='#71cc71'>+$ohotmon</font> монет 
<font color='#71cc71'>+$ohotop</font> опыта!
</br><a href=\"dost.php?\">Назад</a>";
}else{echo"<img src='pic/no.png' alt='*'/> У вас не хватает достижений!</br><a href=\"dost.php?\">Назад</a>";}
break;

case 'rud':
if(empty($rud)){echo"<img src='pic/no.png' alt='*'/> У вас максимальный уровень!</br><a href=\"dost.php?\">Назад</a>";break;}
if($avto==0){echo"<img src='pic/no.png' alt='*'/> У вас не создана учетная запись!</br><a href=\"dost.php?\">Назад</a>";break;}
if($dost[prorud]>=$rud){
mysql_query("UPDATE `dost` SET `rud` = '$dost[rud]'+'1' WHERE `usr` = '$log'");
mysql_query("UPDATE `users` SET `money` = '$udata[money]'+'$rudmon', `exp`='$udata[exp]'+'$rudop' WHERE `usr` = '$log'");
echo"<img src='pic/yes.png' alt='*'/> Вы получили <font color='#71cc71'>+$rudmon</font> монет 
<font color='#71cc71'>+$rudop</font> опыта!
</br><a href=\"dost.php?\">Назад</a>";
}else{echo"<img src='pic/no.png' alt='*'/> У вас не хватает достижений!</br><a href=\"dost.php?\">Назад</a>";}
break;

case 'dob':
if(empty($dob)){echo"<img src='pic/no.png' alt='*'/> У вас максимальный уровень!</br><a href=\"dost.php?\">Назад</a>";break;}
if($avto==0){echo"<img src='pic/no.png' alt='*'/> У вас не создана учетная запись!</br><a href=\"dost.php?\">Назад</a>";break;}
if($dost[prodob]>=$dob){
mysql_query("UPDATE `dost` SET `dob` = '$dost[dob]'+'1' WHERE `usr` = '$log'");
mysql_query("UPDATE `users` SET `money` = '$udata[money]'+'$dobmon', `exp`='$udata[exp]'+'$dobop' WHERE `usr` = '$log'");
echo"<img src='pic/yes.png' alt='*'/> Вы получили <font color='#71cc71'>+$dobmon</font> монет 
<font color='#71cc71'>+$dobop</font> опыта!
</br><a href=\"dost.php?\">Назад</a>";
}else{echo"<img src='pic/no.png' alt='*'/> У вас не хватает достижений!</br><a href=\"dost.php?\">Назад</a>";}
break;

}
@include('files/down.php');
?>